%define oname   cairo

Name:       ruby-%{oname}
Version:    1.14.3
Release:    %mkrel 3
Summary:    Ruby bindings for cairo
Group:      Development/Ruby
License:    GPLv2
URL:        http://cairographics.org/rcairo
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: cairo-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rubyforge)
Provides:   rcairo = %{version}-%{release}

%description
Ruby bindings for cairo

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_extdir_mri}/*.h

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install -d

mkdir -p %{buildroot}%{ruby_vendorarchdir}
# TODO: Move this into gem_install
rm -f %{buildroot}%{gem_extdir_mri}/{gem_make.out,mkmf.log}


%changelog
* Sun Dec 20 2015 tv <tv> 1.14.3-3.mga6
+ Revision: 912634
- remove bogus mv

* Sun Nov 15 2015 pterjan <pterjan> 1.14.3-2.mga6
+ Revision: 903149
- Move header file into a better place
- Fix exclude path

* Tue Oct 27 2015 pterjan <pterjan> 1.14.3-1.mga6
+ Revision: 895667
- Update to 1.14.3

* Wed Oct 15 2014 umeabot <umeabot> 1.12.6-6.mga5
+ Revision: 746810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.6-5.mga5
+ Revision: 688757
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.12.6-4.mga4
+ Revision: 562421
- Fix gem macros

* Thu Dec 19 2013 pterjan <pterjan> 1.12.6-3.mga4
+ Revision: 558688
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.12.6-2.mga4
+ Revision: 538034
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.12.6-1.mga4
+ Revision: 488350
- new version 1.12.6
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.12.2-4.mga4
+ Revision: 488184
- install headers
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.12.2-3.mga3
+ Revision: 395729
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.12.2-2.mga3
+ Revision: 380663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 312201
- update file list
- new version 1.12.2

* Sat Nov 26 2011 fwang <fwang> 1.10.2-1.mga2
+ Revision: 172025
- new version 1.10.2

* Mon Nov 07 2011 fwang <fwang> 1.10.1-1.mga2
+ Revision: 164805
- update file list
- drop merged patch
- new version 1.10.1

* Sun May 08 2011 shikamaru <shikamaru> 1.10.0-3.mga1
+ Revision: 96270
- Add provides due to different naming schemes upstream between the gem and tarball

* Mon Mar 14 2011 shikamaru <shikamaru> 1.10.0-2.mga1
+ Revision: 71425
- disable test for the moment
- move files in vendorlibdir/vendorarchdir
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 1.10.0-1.mga1
+ Revision: 48935
- imported package ruby-cairo

